summaryrefslogtreecommitdiffstats
path: root/defaultenv
diff options
context:
space:
mode:
authorSascha Hauer <s.hauer@pengutronix.de>2011-06-20 09:08:13 +0200
committerSascha Hauer <s.hauer@pengutronix.de>2011-06-20 09:08:13 +0200
commitc6abd61fa863feeae14e4fa1323d949941a72aad (patch)
treebd573fedb9b8d3db35a7f9306c137e91c012d0cd /defaultenv
parent82ccbb8588b92c5f40b99b695361e48655cd2494 (diff)
parentfa8aa1771027718747e76bc3e3008c1840cf3b19 (diff)
downloadbarebox-c6abd61fa863feeae14e4fa1323d949941a72aad.tar.gz
barebox-c6abd61fa863feeae14e4fa1323d949941a72aad.tar.xz
Merge branch 'master' into next
Diffstat (limited to 'defaultenv')
-rw-r--r--defaultenv/bin/_update6
1 files changed, 3 insertions, 3 deletions
diff --git a/defaultenv/bin/_update b/defaultenv/bin/_update
index f736acc74..1bcb71c9b 100644
--- a/defaultenv/bin/_update
+++ b/defaultenv/bin/_update
@@ -35,16 +35,16 @@ unprotect $part
echo
echo "erasing partition $part"
echo
-erase $part
+erase $part || exit 1
echo
echo "flashing $image to $part"
echo
if [ x$mode = xtftp ]; then
- tftp $image $part
+ tftp $image $part || exit 1
else
- cp $image $part
+ cp $image $part || exit 1
fi
protect $part